#!/bin/bash -x

bridgeip="$1"
bridgeport="$2"
seedkey="$3"
updatefreq="$4"

function clear_iptables {
  iptables -D INPUT -p tcp -d $bridgeip --dport $bridgeport --syn -j NFQUEUE --queue-num 0
}
trap clear_iptables SIGINT
trap clear_iptables SIGTERM
trap clear_iptables SIGABRT
iptables -I INPUT -p tcp -d $bridgeip --dport $bridgeport --syn -j NFQUEUE --queue-num 0
./doorkeeper $seedkey $updatefreq

